FrameworkField (JUnit API)
Date: 2011-08-22

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.junit.runners.model
Class FrameworkField

    java.lang.Object
      org.junit.runners.model.FrameworkField

    public class FrameworkField

extends Object

Represents a field on a test class (currently used only for Rules in `BlockJUnit4ClassRunner`, but custom runners can make other uses)

Method Summary
`Object` | `get(Object target)` Attempts to retrieve the value of this field on `target`
`Annotation[]` | `getAnnotations()` Returns the annotations on this method
`Field` | `getField()`
`String` | `getName()`
`Class<?>` | `getType()`
`boolean` | `isPublic()`
`boolean` | `isShadowedBy(FrameworkField otherMember)`
`boolean` | `isStatic()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getName

    public String getName()

### getAnnotations

    public Annotation[] getAnnotations()

  Returns the annotations on this method

### isPublic

    public boolean isPublic()

### isShadowedBy

    public boolean isShadowedBy(FrameworkField otherMember)

### isStatic

    public boolean isStatic()

### getField

    public Field getField()

  Returns:
    the underlying java Field

### getType

    public Class<?> getType()

  Returns:
    the underlying Java Field type
  See Also:
    `Field.getType()`

### get

    public Object get(Object target)
               throws IllegalArgumentException,
                      IllegalAccessException

  Attempts to retrieve the value of this field on `target`

  Throws:
    `IllegalArgumentException`
    `IllegalAccessException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD